--- old/usr/src/tools/smatch/src/check_dma_mapping_error.c	Mon Aug  5 08:37:56 2019
+++ new/usr/src/tools/smatch/src/check_dma_mapping_error.c	Mon Aug  5 08:37:56 2019
@@ -32,6 +32,12 @@
 
 static void match_assign(const char *fn, struct expression *expr, void *unused)
 {
+	struct range_list *rl;
+
+	if (!get_implied_rl(expr->right, &rl))
+		return;
+	if (rl_max(rl).value != 1)
+		return;
 	set_state_expr(my_id, expr->left, &positive);
 }
 
